
*{
margin:0;
padding:0;
box-sizing:border-box;
font-family:Arial, Helvetica, sans-serif;
}

body{
background:#0e0f1a;
color:white;
}

/* NAVBAR */

nav{
display:flex;
justify-content:space-between;
align-items:center;
padding:20px 8%;
}

nav h2{
color:#00e1ff;
}

nav ul{
display:flex;
list-style:none;
gap:25px;
}

nav a{
text-decoration:none;
color:white;
font-size:14px;
}

nav a:hover{
color:#00e1ff;
}


/* HERO */

.hero{
display:flex;
align-items:center;
justify-content:space-between;
padding:80px 8%;
flex-wrap:wrap;
}

.hero-text{
max-width:500px;
}

.hero-text h1{
font-size:50px;
line-height:1.2;
}

.hero-text span{
color:#ff7b00;
}

.hero-text p{
margin:20px 0;
color:#aaa;
}

.btn{
background:#00e1ff;
padding:12px 25px;
border:none;
color:#000;
border-radius:5px;
cursor:pointer;
}

.hero img{
width:450px;
}

/* IMAGE FIX */

.hero img{
width:450px;
object-fit:contain;
filter: drop-shadow(0 15px 30px rgba(0,0,0,0.6));
}

.box img{
width:100%;
margin-top:10px;
border-radius:15px;
object-fit:contain;
background:transparent;
filter: drop-shadow(0 10px 20px rgba(0,0,0,0.5));
}

.card img{
width:100%;
height:150px;
object-fit:contain;
border-radius:15px;
background:transparent;
filter: drop-shadow(0 10px 20px rgba(0,0,0,0.5));
}

.banner img{
width:400px;
object-fit:contain;
background:transparent;
filter: drop-shadow(0 20px 40px rgba(0,0,0,0.7));
}

/* COLLECTION */

.big-sale{
position:relative;
background-image:url("https://images.unsplash.com/photo-1542291026-7eec264c27ff");
background-size:cover;
background-position:center;
border-radius:10px;
min-height:250px;
display:flex;
align-items:center;
padding:30px;
}


.collection{
padding:60px 8%;
}

.collection h2{
text-align:center;
margin-bottom:40px;
}

.collection-grid{
display:grid;
grid-template-columns:2fr 1fr 1fr;
gap:20px;
}

.box{
background:#1a1c2e;
padding:25px;
border-radius:10px;
}

.box img{
width:100%;
margin-top:10px;
}

.big{
grid-row: span 2;
}


/* PRODUCTS */

.products{
padding:60px 8%;
}

.products h2{
text-align:center;
margin-bottom:40px;
}

.product-grid{
display:grid;
grid-template-columns:repeat(auto-fit,minmax(200px,1fr));
gap:25px;
}

.card{
background:#1a1c2e;
padding:20px;
border-radius:10px;
text-align:center;
}

.card img{
width:100%;
height:150px;
object-fit:cover;
}

.price{
margin:10px 0;
color:#00e1ff;
}

.cart{
background:#00e1ff;
border:none;
padding:8px 15px;
border-radius:5px;
cursor:pointer;
}


/* BANNER */

.box img,
.card img {
  border-radius: 15px;
}

.banner{
display:flex;
align-items:center;
justify-content:space-between;
padding:80px 8%;
flex-wrap:wrap;
}

.banner-text{
max-width:450px;
}

.banner-text h2{
font-size:40px;
}

.banner span{
color:#ff7b00;
}

.banner img{
width:400px;
}


/* RESPONSIVE */

@media(max-width:900px){

.hero{
flex-direction:column;
text-align:center;
}

.banner{
flex-direction:column;
text-align:center;
}

.collection-grid{
grid-template-columns:1fr;
}

.hero img,
.banner img{
width:300px;
margin-top:30px;
}

}


